Last Comment Bug 737911 - Shrink bits for CACHED_PROTO_KEYs and add two new JSClass flags for the new DOM bindings
: Shrink bits for CACHED_PROTO_KEYs and add two new JSClass flags for the new D...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla14
Assigned To: Ben Turner (not reading bugmail, use the needinfo flag!)
:
Mentors:
Depends on:
Blocks: 740069
  Show dependency treegraph
 
Reported: 2012-03-21 10:05 PDT by Ben Turner (not reading bugmail, use the needinfo flag!)
Modified: 2012-03-29 08:54 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch, v1 (3.83 KB, patch)
2012-03-21 10:05 PDT, Ben Turner (not reading bugmail, use the needinfo flag!)
no flags Details | Diff | Splinter Review
Patch, v2 (3.58 KB, patch)
2012-03-28 14:37 PDT, Ben Turner (not reading bugmail, use the needinfo flag!)
luke: review+
Details | Diff | Splinter Review

Description Ben Turner (not reading bugmail, use the needinfo flag!) 2012-03-21 10:05:16 PDT
Created attachment 608000 [details] [diff] [review]
Patch, v1

The new DOM bindings need two JSClass bits at the moment, one to tell us that we have a subclass of JSClass and the other to tell us if the object has extra reserved slots for our prototype check mechanism. Eventually when we switch Window to use the new bindings we can remove the second bit.

I talked with waldo about this yesterday and he recommended shrinking the number of bits for the cached proto key stuff in order to open up two more bits. Patch attached.
Comment 1 Ben Turner (not reading bugmail, use the needinfo flag!) 2012-03-28 14:37:53 PDT
Created attachment 610306 [details] [diff] [review]
Patch, v2

Fixed the way luke liked it!
Comment 2 Luke Wagner [:luke] 2012-03-28 14:43:45 PDT
Comment on attachment 610306 [details] [diff] [review]
Patch, v2

Great, thanks!
Comment 3 Ben Turner (not reading bugmail, use the needinfo flag!) 2012-03-28 14:50:52 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/a5c5bc683072
Comment 4 Matt Brubeck (:mbrubeck) 2012-03-29 08:54:21 PDT
https://hg.mozilla.org/mozilla-central/rev/a5c5bc683072

Note You need to log in before you can comment on or make changes to this bug.